# GET Questions

## Questions

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.2/questions`

This endpoint returns the questions of all surveys accessable from your account

#### Query Parameters

| Name              | Type   | Description                                                                                                                                             |
| ----------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| skip              | number | Number of documents to skip from the start                                                                                                              |
| preferredLanguage | string | Preferred language to show the question titles in eg. 'en'. If the specified language is not available, it will default to the first available language |
| questionId        | array  | Filter by question ids                                                                                                                                  |
| surveyId          | array  | Survey ids related to the question                                                                                                                      |

#### Headers

| Name          | Type   | Description                                                                                          |
| ------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| Authorization | string | <p>Authentication token to access the API eg:<br>'Authorization': 'ey0iuefg.834xcunerun348efnsd'</p> |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "_id": "59b8de984084087cd3346743",
            "title": "Which meat did you buy?",
            "choicesString": [
                "Lamb",
                "Beef",
                "Pork"
            ],
            "questionType": "Word",
            "languages": [
                "en"
            ],
            "language": "en",
            "choices": [
                {
                    "fieldId": "1",
                    "fieldName": "Lamb"
                },
                {
                    "fieldId": "59b8deaa4084087cd3346744",
                    "fieldName": "Beef"
                },
                {
                    "fieldId": "59b8deac4084087cd3346745",
                    "fieldName": "Pork"
                }
            ],
            "surveyId": "59b8de18784d2f0001a1590d"
        },
    ],
    "paging": {
        "next": "https://api.feedbackly.com/v5/questions?preferredLanguage=en&skip=100",
        "previous": null
    }
}
```

{% endtab %}
{% endtabs %}

### Request Return type

| Field  | Type                                                                                                  | Example | Description       |
| ------ | ----------------------------------------------------------------------------------------------------- | ------- | ----------------- |
| data   | [Question Data object](https://docs.feedbackly.com/v.5.0.2/api/questions/..#question-data-object) \[] |         | Question objects  |
| paging | [Pagination](https://docs.feedbackly.com/v.5.0.2/notes#pagination)                                    |         | Pagination object |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedbackly.com/v.5.0.2/api/questions/get-questions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
